Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 121117 - CSS editor must support DHTML extensions
CSS editor must support DHTML extensions
Status: VERIFIED FIXED
Product: web
Classification: Unclassified
Component: CSS Visual Tools
6.x
All All
: P2 (vote)
: 7.2
Assigned To: Marek Fukala
Jindrich Sedek
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 16:45 UTC by _ krystyna
Modified: 2013-01-17 13:13 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ krystyna 2007-11-04 16:45:42 UTC
NetBeans IDE Dev (Build 200711041204)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b02
System: Windows XP version 5.1 running on x86; Cp1252; en_US (nb)



The following valid CSS filter rules are flagged as errors and turn off stylebuilder for
the rule and all subsequent rules following. There is a workaround to manually
edit rules. 


.CbReadOnly_sun4,.RbReadOnly_sun4 {
         filter: alpha(opacity=45); 
}
.CbDis_sun4, .RbDis_sun4 {
         filter: alpha(opacity=40);
}
Comment 1 Marek Fukala 2007-11-04 17:32:04 UTC
I am affraid the css code is not valid, check on 

http://jigsaw.w3.org/css-validator/

Comment 2 Winston Prakash 2007-11-04 18:48:17 UTC
Marek, I understand this is not a CSS standard.
But unfortunately supported by some of the browsers such as IE and Firefox.

http://msdn2.microsoft.com/en-us/library/ms532967.aspx

It may be OK to mark these as non standard, but not as error. If we mark them
as error and stop Style Builder from displaying, that makes CSS editor very
limited and unusable for several cases, since there are lots of deviation
from standard.

Another point to note that, unlike several languages, CSS is not a language
at all. It is a hint to the user agent (browser) to display certain things in a certain
way. It is up to the user agent to honor them or ignore not mark as error.  

If you look at some of the CSS editors in the W3C website, they seem to support all
kind of extensions.

http://www.w3.org/Style/CSS/#editors

I'm reopening this bug as an Enhancement for future release.
Comment 3 Marek Fukala 2007-11-04 19:01:57 UTC
I agree with what you wrote, thanks for making the enhancement.
Comment 4 Jan Jancura 2007-12-07 11:08:19 UTC
looks like css editor issue
Comment 5 Marek Fukala 2012-10-15 12:17:28 UTC
already fixed
Comment 6 Vladimir Riha 2013-01-17 13:13:41 UTC
verified

Product Version: NetBeans IDE 7.3 RC1 (Build 201301102100)
Java: 1.7.0_10; Java HotSpot(TM) Client VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_10-b18
System: Linux version 3.2.0-35-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo